SystemOrganization addCategory: #ModernColour!

UITheme subclass: #UIThemeModernColour
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ModernColour'!

!UIThemeModernColour class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 4/11/2011 18:25'!
beCurrent
	super beCurrent.
	World color: (
		(GradientFillStyle 
			ramp: { 0.0 -> Color white darker.  1.0 -> Color gray})
			origin: 300 @ 300;
			direction: 800@0;
			normal: 0@800;
		radial: true).
	! !

!UIThemeModernColour class methodsFor: 'defaults' stamp: 'StuartHerring 3/29/2011 22:06'!
defaultSettings
	"Answer the default settings for the theme."
	defaultSettings := nil.
	^defaultSettings ifNil: [
		self defaultSettings: self newDefaultSettings.
		defaultSettings]! !

!UIThemeModernColour class methodsFor: 'accessing' stamp: 'StuartHerring 3/29/2011 22:10'!
iconClass
	^ModernColourIcons! !

!UIThemeModernColour class methodsFor: 'accessing' stamp: 'StuartHerring 3/29/2011 22:06'!
importIcons: icons fromFolder: aFolder inClass: aClass category: aCategory
	icons
		do: [:each |
			| method form |
			form := PNGReadWriter formFromFileNamed: aFolder, each , '.png'.
			method := each , Character cr asString ,
				'^ ',		
				form storeString.
			aClass class compile: method classified: aCategory ].
	aClass initialize! !

!UIThemeModernColour class methodsFor: 'testing' stamp: 'StuartHerring 3/29/2011 22:09'!
isAbstract
	^ false! !

!UIThemeModernColour class methodsFor: 'as yet unclassified' stamp: 'StuartHerring 3/29/2011 22:48'!
newDefaultSettings
	"Answer a new original default settings."
	^super newDefaultSettings
		standardColorsOnly: false;
		autoSelectionColor: false;
		preferRoundCorner: false;
		flatMenu: true;
		progressBarColor: (Color r: 232 g: 232 b: 232 range: 255);
		progressBarProgressColor: (Color r: 92 g: 138 b: 172 range: 255);
		yourself! !

!UIThemeModernColour class methodsFor: 'testing' stamp: 'StuartHerring 3/29/2011 22:09'!
themeName
	^'Modern Colour'! !

!UIThemeModernColour methodsFor: 'border-styles-buttons' stamp: 'StuartHerring 3/29/2011 22:39'!
buttonCornerStyleIn: aThemedMorph
	"If asked, we only allow square corners"
	
	^ #square! !

!UIThemeModernColour methodsFor: 'defaults' stamp: 'StuartHerring 3/29/2011 22:06'!
buttonMinHeight
	"Answer the minumum height of a button for this theme."
	
	^24! !

!UIThemeModernColour methodsFor: 'defaults' stamp: 'StuartHerring 3/29/2011 22:06'!
buttonMinWidth
	"Answer the minumum width of a button for this theme."
	
	^24! !

!UIThemeModernColour methodsFor: 'border-styles-buttons' stamp: 'StuartHerring 3/29/2011 22:06'!
buttonNormalBorderStyleFor: aButton
	"Return the normal button borderStyle for the given button."

	| outerColor innerColor |
	(aButton valueOfProperty: #noBorder ifAbsent: [false]) ifTrue: [
		^ SimpleBorder new width: 0; baseColor: Color transparent ].
	outerColor := self settings buttonColor twiceDarker.
	^SimpleBorder new
					width: 1;
					baseColor: outerColor! !

!UIThemeModernColour methodsFor: 'fill-styles-buttons' stamp: 'StuartHerring 9/3/2011 13:02'!
buttonNormalFillStyleFor: aButton
	"Return the normal button fillStyle for the given button."
	| top bottom |
	bottom := self buttonColorFor: aButton.
	top := self lighterColorFor: bottom.  
	^(GradientFillStyle ramp: {
			0.0->top.
			1->bottom.})
		origin: aButton bounds origin;
		direction: 0 @ aButton height;
		radial: false! !

!UIThemeModernColour methodsFor: 'fill-styles-buttons' stamp: 'StuartHerring 9/3/2011 13:04'!
buttonSelectedFillStyleFor: aButton
	"Return the normal button fillStyle for the given button."
	| top bottom |
	top :=self buttonColorFor: aButton. 
	bottom := self lighterColorFor: top.
	^(GradientFillStyle ramp: {
			0.0->top.
			0.7->bottom.})
		origin: aButton bounds origin;
		direction: 0 @ aButton height;
		radial: false! !

!UIThemeModernColour methodsFor: 'border-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
configureWindowBorderFor: aWindow
	| aStyle |
	super configureWindowBorderFor: aWindow.
	aWindow roundedCorners: #().! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
configureWindowLabelAreaFor: aWindow
	"Configure the label area for the given window."

	|padding|
	padding := 0.
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0).
	aWindow hasCloseBox ifTrue: [aWindow addCloseBox. padding := padding + 1].
	aWindow hasExpandBox ifTrue: [aWindow addExpandBox. padding := padding + 1].
	aWindow hasCollapseBox ifTrue: [aWindow addCollapseBox. padding := padding + 1].
	aWindow hasMenuBox ifTrue: [padding := padding - 1].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	aWindow basicLabel ifNotNil: [:label | aWindow labelArea addMorphBack: label; hResizing: #shrinkWrap].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0; hResizing: #spaceFill).
	padding > 0 ifTrue: [
		aWindow labelArea
			addMorphBack: (Morph new extent: (aWindow boxExtent x * padding) @ 0)].
	aWindow hasMenuBox ifTrue: [aWindow addMenuControl].
	aWindow labelArea
		addMorphBack: (Morph new extent: aWindow class borderWidth @ 0)! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
createCollapseBoxFor: aSystemWindow
	"Answer a button for minimising the window."
	
	|form msb|
	form := self windowMinimizeForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizePassiveForm.
	msb extent: form extent.
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizeOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMinimizePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow collapseBoxHit];
		setBalloonText: 'Collapse this window' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
createExpandBoxFor: aSystemWindow
	"Answer a button for maximising/restoring the window."
	
	|form msb|
	form := self windowMaximizeForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizePassiveForm.
	msb extent: form extent.
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizeOverForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMaximizePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow expandBoxHit];
		setBalloonText: 'Expand to full screen' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
createMenuBoxFor: aSystemWindow
	"Answer a button for the window menu."
	
	|form msb|
	form := self windowMenuForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuPassiveForm.
	msb extent: form extent.
	msb activeDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuForm.
	msb extent: form extent.
	msb
		activeEnabledOverUpFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowMenuPassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: [aSystemWindow offerWindowMenu];
		setBalloonText: 'window menu' translated;
		extent: aSystemWindow boxExtent.
	^msb! !

!UIThemeModernColour methodsFor: 'fill-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
dockingBarNormalFillStyleFor: aToolDockingBar
	^ SolidFillStyle color: Color transparent! !

!UIThemeModernColour methodsFor: 'border-styles' stamp: 'StuartHerring 3/29/2011 22:35'!
drawTextAdornmentFor: aPluggableTextMorph color: aColor on: aCanvas
	"Indicate edit status for the given morph."
	
	|bounds size fillStyle|
	bounds := aPluggableTextMorph innerBounds.
	size := 20.
	fillStyle := (GradientFillStyle ramp: { 
			0.0->aColor.
			0.2->aColor darker. 
			1.0->aColor darker.})
		origin: bounds topRight - (size@0);
		direction: (size @ size negated) // 4;
		radial: false.
	aCanvas
		drawPolygon:  {bounds topRight. bounds topRight + (0@size). bounds topRight - (size@0)}
		fillStyle: fillStyle! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
dropListButtonLabelFor: aDropList
	"Answer the label for the button of the given drop list."
	
	^ AlphaImageMorph new
		image: (self class iconClass dropList);
		enabled: aDropList enabled! !

!UIThemeModernColour methodsFor: 'as yet unclassified' stamp: 'StuartHerring 4/11/2011 17:58'!
lighterColorFor: aColor
	^aColor twiceLighter lighter.! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 23:02'!
listDisabledFillStyleFor: aList
	"Return the disabled fillStyle for the given list."
	
"	^aList paneColor alphaMixed: 0.3 with: Color white"
	^Color red.! !

!UIThemeModernColour methodsFor: 'morph creation' stamp: 'StuartHerring 3/29/2011 22:06'!
newCloseControlIn: aThemedMorph for: aModel action: aValuable help: helpText
	"Answer a button for closing things."
	
	|form msb|
	form := self windowCloseForm.
	msb := MultistateButtonMorph new extent: form extent.
	msb activeEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowClosePassiveForm.
	msb extent: form extent.
	msb activeDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveEnabledNotOverUpFillStyle: (ImageFillStyle form: form).
	msb passiveDisabledNotOverUpFillStyle: (ImageFillStyle form: form).
	form := self windowClosePassiveForm.
	msb
		extent: form extent;
		activeEnabledOverDownFillStyle: (ImageFillStyle form: form);
		passiveEnabledOverDownFillStyle: (ImageFillStyle form: form);
		addUpAction: aValuable;
		setBalloonText: helpText.
	^msb! !

!UIThemeModernColour methodsFor: 'initialize-release' stamp: 'StuartHerring 3/29/2011 22:06'!
newWindowCloseForm
	"Answer a new form for a window close box."

	^ self class iconClass close! !

!UIThemeModernColour methodsFor: 'initialize-release' stamp: 'StuartHerring 3/29/2011 22:06'!
newWindowMaximizeForm
	"Answer a new form for a window maximize box."
	
	^ self class iconClass maximize! !

!UIThemeModernColour methodsFor: 'initialize-release' stamp: 'StuartHerring 3/29/2011 22:06'!
newWindowMinimizeForm
	"Answer a new form for a window minimize box."
	
	^ self class iconClass minimize! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
normalFillStyleWithBaseColor: aColor for: aMorph height: anInteger
	| top bottom |
	top := aColor twiceLighter.
	bottom := aColor.
	^(GradientFillStyle ramp: {
			0.0->top.
			0.7->bottom.})
		origin: aMorph bounds origin;
		direction: 0 @ anInteger;
		radial: false! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
resizerGripNormalFillStyleFor: aResizer
	"Return the normal fillStyle for the given resizer.
	For the moment, answer a transparent colour for no drawing,
	non transparent to draw as normal."
	
	^Color transparent! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
scrollbarArrowOfDirection: aSymbol size: finalSizeInteger color: aColor
	"Answer a new scrollbar arrow form (normally cached by Scrollbar)."
	^ self class iconClass perform: aSymbol   
	! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
scrollbarNormalButtonFillStyleFor: aScrollbar
	"Return the normal scrollbar button fillStyle for the given scrollbar."
	
	^ self scrollbarNormalThumbFillStyleFor: aScrollbar! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:30'!
scrollbarNormalFillStyleFor: aScrollbar
	"Return the normal scrollbar fillStyle for the given scrollbar."
	^ (self scrollbarColorFor: aScrollbar)  muchLighter.! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
scrollbarNormalThumbFillStyleFor: aScrollbar
	"Return the normal scrollbar fillStyle for the given scrollbar."
	
	^ (self normalFillStyleWithBaseColor: aScrollbar paneColor for:  aScrollbar height: aScrollbar height)
		direction: (aScrollbar bounds isWide
			ifTrue: [0 @ aScrollbar height]
			ifFalse: [aScrollbar width @ 0])! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 4/11/2011 17:50'!
textFieldNormalFillStyleFor: aTextField
	"Return the normal fillStyle for the given text field."
	
	^self textEditorNormalFillStyleFor: aTextField! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
useScrollbarThumbShadow
	"Answer whether a shadow morph should be displayed when
	dragging a scrollbar thumb."

	^false! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 4/11/2011 17:53'!
windowActiveTitleFillStyleFor: aWindow
	| height top bottom |
	height := aWindow labelHeight.
	bottom := aWindow paneColorToUse.
	top := self lighterColorFor: bottom.  
	^(GradientFillStyle ramp: {
			0.0->top.
			0.8->bottom.})
		origin: aWindow bounds origin;
		direction: 0 @ height;
		radial: false! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowClosePassiveForm
	"Answer the form to use for passive (background) window close buttons"

	^self class iconClass closeLight! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMaximizeForm
	^ self class iconClass maximize! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMaximizeOverForm
	^ self class iconClass maximizeLight! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMaximizePassiveForm
	"Answer the form to use for mouse over window minimize buttons"
	
	^ self class iconClass maximizeLight! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMenuForm
	"Answer the menu icon."
	
	^ self class iconClass menu.! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMenuIconFor: aWindow
	"Answer the menu icon for the given window."
	
	^ self class iconClass menu.! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMenuPassiveForm
	"Answer the form to use for passive (background) window menu buttons"
	^ self class iconClass menuLight! !

!UIThemeModernColour methodsFor: 'private' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMinimizeForm
	^ self class iconClass minimize ! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMinimizeOverForm
	"Answer the form to use for mouse over window minimize buttons"
	
	^ self class iconClass minimizeLight! !

!UIThemeModernColour methodsFor: 'label-styles' stamp: 'StuartHerring 3/29/2011 22:06'!
windowMinimizePassiveForm
	^ self class iconClass minimizeLight! !

Object subclass: #ModernColourIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ModernColour'!

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
bottom
^ (Form
	extent: 8@8
	depth: 32
	fromArray: #( 1107296256 1157627904 16777215 16777215 16777215 16777215 1157627904 1107296256 2701131776 3607101440 33554432 16777215 16777215 33554432 3607101440 2701131776 620756992 4227858432 1476395008 16777215 16777215 1476395008 4227858432 620756992 16777215 2751463424 3573547008 33554432 33554432 3573547008 2751463424 16777215 16777215 671088640 4244635648 1426063360 1426063360 4244635648 671088640 16777215 16777215 16777215 2818572288 3523215360 3523215360 2818572288 16777215 16777215 16777215 16777215 721420288 4261412864 4261412864 721420288 16777215 16777215 16777215 16777215 16777215 2868903936 2868903936 16777215 16777215 16777215)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
close
^ (Form
	extent: 12@12
	depth: 32
	fromArray: #( 754974720 2063597568 16777215 16777215 16777215 16777215 16777215 16777215 16777215 603979776 2013265920 16777215 1862270976 4278190080 2231369728 16777215 16777215 16777215 16777215 16777215 486539264 3758096384 3674210304 251658240 16777215 2046820352 4278190080 2214592512 16777215 16777215 16777215 369098752 3623878656 3808428032 520093696 16777215 16777215 16777215 2063597568 4278190080 2197815296 16777215 268435456 3489660928 3909091328 654311424 16777215 16777215 16777215 16777215 16777215 2080374784 4278190080 2248146944 3321888768 4009754624 805306368 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2181038080 4278190080 4177526784 956301312 16777215 16777215 16777215 16777215 16777215 16777215 16777215 67108864 2969567232 4227858432 4278190080 2113929216 16777215 16777215 16777215 16777215 16777215 16777215 33554432 2768240640 4211081216 1308622848 2164260864 4278190080 2080374784 16777215 16777215 16777215 16777215 16777215 2550136832 4244635648 1526726656 16777215 16777215 2197815296 4278190080 2063597568 16777215 16777215 16777215 2315255808 4278190080 1728053248 16777215 16777215 16777215 16777215 2214592512 4278190080 2046820352 16777215 1929379840 4278190080 1962934272 16777215 16777215 16777215 16777215 16777215 16777215 2231369728 4278190080 1862270976 671088640 1946157056 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2063597568 754974720)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
closeLight
^ (Form
	extent: 12@12
	depth: 32
	fromArray: #( 762077794 2070700642 16777215 16777215 16777215 16777215 16777215 16777215 16777215 611082850 2020368994 16777215 1869374050 4285293154 2238472802 16777215 16777215 16777215 16777215 16777215 493642338 3765199458 3681313378 258761314 16777215 2053923426 4285293154 2221695586 16777215 16777215 16777215 376201826 3630981730 3815531106 527196770 16777215 16777215 16777215 2070700642 4285293154 2204918370 16777215 275538530 3496764002 3916194402 661414498 16777215 16777215 16777215 16777215 16777215 2087477858 4285293154 2255250018 3328991842 4016857698 812409442 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2188141154 4285293154 4184629858 963404386 16777215 16777215 16777215 16777215 16777215 16777215 16777215 74211938 2976670306 4234961506 4285293154 2121032290 16777215 16777215 16777215 16777215 16777215 16777215 40657506 2775343714 4218184290 1315725922 2171363938 4285293154 2087477858 16777215 16777215 16777215 16777215 16777215 2557239906 4251738722 1533829730 16777215 16777215 2204918370 4285293154 2070700642 16777215 16777215 16777215 2322358882 4285293154 1735156322 16777215 16777215 16777215 16777215 2221695586 4285293154 2053923426 16777215 1936482914 4285293154 1970037346 16777215 16777215 16777215 16777215 16777215 16777215 2238472802 4285293154 1869374050 678191714 1953260130 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2070700642 762077794)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
dropList
^ (Form
	extent: 8@9
	depth: 32
	fromArray: #( 872415232 956301312 16777215 16777215 16777215 16777215 956301312 872415232 3204448256 3338665984 16777215 16777215 16777215 16777215 3338665984 3204448256 1308622848 4278190080 922746880 16777215 16777215 922746880 4278190080 1308622848 33554432 3657433088 2818572288 16777215 16777215 2801795072 3657433088 33554432 16777215 1795162112 4211081216 469762048 469762048 4211081216 1795162112 16777215 16777215 184549376 4009754624 2281701376 2281701376 4009754624 184549376 16777215 16777215 16777215 2298478592 3992977408 3992977408 2298478592 16777215 16777215 16777215 16777215 469762048 4211081216 4211081216 469762048 16777215 16777215 16777215 16777215 16777215 2801795072 2801795072 16777215 16777215 16777215)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
left
^ (Form
	extent: 8@8
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 620756992 2701131776 1107296256 16777215 16777215 16777215 671088640 2751463424 4227858432 3607101440 1157627904 16777215 721420288 2818572288 4244635648 3573547008 1476395008 33554432 16777215 2868903936 4261412864 3523215360 1426063360 33554432 16777215 16777215 16777215 2868903936 4261412864 3523215360 1426063360 33554432 16777215 16777215 16777215 16777215 721420288 2818572288 4244635648 3573547008 1476395008 33554432 16777215 16777215 16777215 16777215 671088640 2751463424 4227858432 3607101440 1157627904 16777215 16777215 16777215 16777215 16777215 620756992 2701131776 1107296256)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
maximize
^ (Form
	extent: 12@12
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 2768240640 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 2768240640 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 1744830464 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1744830464 4278190080 4278190080 2768240640 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 1744830464 2768240640 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
maximizeLight
^ (Form
	extent: 12@12
	depth: 32
	fromArray: #( 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 2775343714 1751933538 1751933538 1751933538 1751933538 1751933538 1751933538 1751933538 1751933538 2775343714 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 1751933538 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1751933538 4285293154 4285293154 2775343714 1751933538 1751933538 1751933538 1751933538 1751933538 1751933538 1751933538 1751933538 2775343714 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154 4285293154)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
menu
^ (Form
	extent: 16@22
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 133690800 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 100136368 83359152 234354096 150468016 536343984 33027504 133690800 33027504 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 603452848 1548898875 3241094689 3446171466 1329939761 217576880 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3476502311 4286479706 4289243000 3713554239 988210340 586675632 251131312 16777215 16777215 16777215 83359152 217576880 351794608 502789552 637007280 771225008 3259253809 4289045365 4290821769 3646445374 16777216 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1509949440 4096798498 4282400814 4283716412 4130090016 2423616595 637007280 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1074728715 4177526784 4281150496 4278190080 4148840757 1006632960 335017392 737670576 301462960 16777215 16777215 16777215 16777215 16777215 16777215 1979711488 3472883712 4227858432 4280492825 4278190080 4262333962 3508082962 1778384896 16777215 234354096 318240176 83359152 16777215 16777215 16777215 16777215 1056964608 3439329280 4278190080 4279834898 4278190080 4278190080 3204777220 838860800 16777215 16777215 16777215 49804720 16777215 16777215 16777215 16777215 16777215 1107296256 3909091328 4279242763 4278190080 3388997632 1090519040 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2130706432 4278190080 3574073350 1929379840 67108864 754974720 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2650800128 2600468480 167772160 234881024 2634022912 2483027968 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1526726656 100663296 2080374784 3707764736 4278190080 2634022912 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1140850688 3489660928 4278190080 4278190080 3690987520 1107296256 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777216 3607101440 4278190080 3724541952 2264924160 301989888 318767104 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 587202560 3959422976 2432696320 301989888 16777215 184549376 3271557120 167772160 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1358954496 1358954496 16777215 83886080 1811939328 3472883712 4278190080 771751936 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 67108864 134217728 2080374784 3573547008 4278190080 4278190080 4244635648 1275068416 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 1174405120 3506438144 4278190080 4278190080 4278190080 3942645760 2214592512 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2868903936 4278190080 4278190080 3674210304 2399141888 587202560 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 3271557120 3489660928 1845493760 134217728 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 2952790016 251658240 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
menuLight
^ (Form
	extent: 8@20
	depth: 32
	fromArray: #( 16777215 469235120 2108466822 3699999090 3953697412 2608953454 318240176 16777215 16777215 16777215 3195761258 4290492046 4292466335 4205224067 1740421007 704116144 637007280 771225008 3163851896 4290228620 4292795298 4237856891 967286915 16777215 16777215 1634558819 4236409198 4286938480 4287004016 4288254587 3330900338 938997168 16777215 644900452 3949748834 4286938224 4285293154 4287399028 2491052394 16777215 2288804450 3832308322 4285293154 4286543469 4285293154 4285293154 4152325741 3110888034 778855010 3144442466 4285293154 4286214506 4285293154 4285293154 3647824739 1147953762 16777215 762077794 3781976674 4285885287 4285293154 3479986786 1634493026 16777215 16777215 2104255074 4285293154 3497027172 1970037346 90989154 1198285410 16777215 16777215 2557239906 2557239906 124543586 258761314 2389467746 3463209570 16777215 16777215 1265394274 174875234 2154586722 3714867810 4285293154 3614204514 16777215 16777215 1298948706 3580650082 4285293154 4285293154 3932971618 1802265186 16777215 16777215 3630981730 4285293154 3781976674 2423022178 493642338 57434722 409756258 560751202 3983303266 2506908258 325870178 16777215 57434722 2557239906 1953260130 1349280354 1315725922 16777215 57434722 1668047458 3261882978 4285293154 2288804450 57434722 174875234 2188141154 3496764002 4268515938 4285293154 4285293154 2490131042 1265394274 3597427298 4285293154 4285293154 4285293154 4117520994 2825675362 275538530 2876007010 4285293154 4285293154 3815531106 2574017122 929849954 16777215 16777215 3278660194 3530318434 1986814562 258761314 16777215 16777215 16777215 16777215 2976670306 309092962 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
minimize
^ (Form
	extent: 14@2
	depth: 32
	fromArray: #( 771751936 3254779904 3321888768 3388997632 3456106496 3523215360 3590324224 3640655872 3707764736 3774873600 3841982464 3909091328 3976200192 905969664 905969664 3976200192 3909091328 3841982464 3774873600 3707764736 3640655872 3590324224 3523215360 3456106496 3388997632 3321888768 3254779904 771751936)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
minimizeLight
^ (Form
	extent: 14@2
	depth: 32
	fromArray: #( 778855010 3261882978 3328991842 3396100706 3463209570 3530318434 3597427298 3647758946 3714867810 3781976674 3849085538 3916194402 3983303266 913072738 913072738 3983303266 3916194402 3849085538 3781976674 3714867810 3647758946 3597427298 3530318434 3463209570 3396100706 3328991842 3261882978 778855010)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
right
^ (Form
	extent: 8@8
	depth: 32
	fromArray: #( 1107296256 2701131776 620756992 16777215 16777215 16777215 16777215 16777215 1157627904 3607101440 4227858432 2751463424 671088640 16777215 16777215 16777215 16777215 33554432 1476395008 3573547008 4244635648 2818572288 721420288 16777215 16777215 16777215 16777215 33554432 1426063360 3523215360 4261412864 2868903936 16777215 16777215 16777215 33554432 1426063360 3523215360 4261412864 2868903936 16777215 33554432 1476395008 3573547008 4244635648 2818572288 721420288 16777215 1157627904 3607101440 4227858432 2751463424 671088640 16777215 16777215 16777215 1107296256 2701131776 620756992 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!ModernColourIcons class methodsFor: 'iconography' stamp: 'StuartHerring 3/29/2011 22:07'!
top
^ (Form
	extent: 8@8
	depth: 32
	fromArray: #( 16777215 16777215 16777215 2868903936 2868903936 16777215 16777215 16777215 16777215 16777215 721420288 4261412864 4261412864 721420288 16777215 16777215 16777215 16777215 2818572288 3523215360 3523215360 2818572288 16777215 16777215 16777215 671088640 4244635648 1426063360 1426063360 4244635648 671088640 16777215 16777215 2751463424 3573547008 33554432 33554432 3573547008 2751463424 16777215 620756992 4227858432 1476395008 16777215 16777215 1476395008 4227858432 620756992 2701131776 3607101440 33554432 16777215 16777215 33554432 3607101440 2701131776 1107296256 1157627904 16777215 16777215 16777215 16777215 1157627904 1107296256)
	offset: 0@0)! !
